Encrypt API for Updating Beneficiary

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Encrypt API request parameters varies based on the API with which it is used for. This section describes the Encrypt API used with Update Beneficiary API.

Sandboxpayusandbox-kong.pc.enstage-sas.com/api/v2/encrypt
ProductionContact your WIBMO KAM or support.
Sample request
curl --request POST \
     --url https://payusandbox-kong.pc.enstage-sas.com/api/v2/encrypt \
     --header 'content-type: application/json' \
     --header 'x-api-key: 4A02C4267C9A97A1488AB3259FD1A725' \
     --data '
{
  "messageCode": 20000,
  "clientTxnId": "UpdateBeneficiary_20240404101010",
  "requestDateTime": "20220615123144",
  "beneficiaryId": 72929650,
  "beneficiaryType": "SELF"
}
'
Sample response
{
  "token": "t7ajnHhJMECy4rDQdeUvE5u0UT3BLJdffY6WtKv+oRAJ0MNRLlSlmLqAWgrAs5v4+5ePFhcMJlP5wP72YGDgXtRSK5gT++WFPNWLwxURsBh77aPxwWAJ92ExvxKmHInk3IVA3aT3vdNwsmaOtKvXFVoN+uSsab5rftuPiotyjf1sk+pwI2PkdwnzuzmWlpB/JI1k/GoDMuBKJiUouPeoFZKRV+LS8CJr+viU+IA+BMY="
}

Request parameters

Body Params
const
enum
required

This parameter must include the message code. It is 20000 for this API.

Allowed:
string
required

This parameter must include an unique ID generated by the calling application for each API request.

string
required

This parameter must contain the request date and time in the YYYYMMDDHHMMSS format, where time is in 24 hour format.

integer
required

This parameter must contain an unique beneficiary ID for the beneficiary.

string

This parameter must contain any of the following beneficiary type: SELF or OTHERS .

Headers
string
required

This parameter must contain the API key.

Response
200
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!